Tesla Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/tesla-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/tesla-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1617148800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.coindesk.com/business/2021/04/26/elon-musks-tesla-sold-bitcoin-in-q1-for-proceeds-of-272m/",
    "holding_balance": 38880.0,
    "holding_net_change": -4320.0,
    "transaction_value_usd": 150000000.0,
    "average_entry_value_usd": -34722.22,
    "transaction_value_calculated": false
  },
  {
    "date": 1656547200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://tesla-cdn.thron.com/static/EIUQEC_2022_Q2_Quarterly_Update_Deck_J8VLIK.pdf?xseo=&response-content-disposition=inline%3Bfilename%3D%22_022-Q2-Quarterly-Update-Deck.pdf%22",
    "holding_balance": 9720.0,
    "holding_net_change": -29160.0,
    "transaction_value_usd": 1012500000.0,
    "average_entry_value_usd": -34722.22,
    "transaction_value_calculated": false
  },
  {
    "date": 1735603200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1318605/000162828025003063/tsla-20241231.htm",
    "holding_balance": 11509.0,
    "holding_net_change": 1789.0,
    "transaction_value_usd": 48500000.0,
    "average_entry_value_usd": 27110.12,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/tesla-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    11509.0
  ],
  [
    1779062400000,
    11509.0
  ],
  [
    1779148800000,
    11509.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/tesla-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    891140258.74
  ],
  [
    1779062400000,
    885551603.4300001
  ],
  [
    1779148800000,
    883430955.0899999
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/tesla-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 422.0,
    "date": "2026-05-15",
    "high": 434.66,
    "open": 433.98,
    "close": 422.24,
    "volume": 52688700
  },
  {
    "low": 405.33,
    "date": "2026-05-18",
    "high": 421.13,
    "open": 419.27,
    "close": 409.99,
    "volume": 52474200
  },
  {
    "low": 393.63,
    "date": "2026-05-19",
    "high": 405.63,
    "open": 402.985,
    "close": 404.11,
    "volume": 44824479
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/tesla-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.4534,
  "quarterly_earnings_growth": 0.083,
  "eps_estimate_current_quarter": 0.3481
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/tesla-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 2.96,
  "six_month_return": -0.06,
  "three_month_return": -1.75
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/tesla-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.1,
  "total_btc_percentage": 0.055,
  "share_price_change_state": "up"
}